Package org.eclipse.m2m.atl.adt.ui.preferences

# Class ProfileManager.BuiltInProfile

java.lang.Object
org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile
org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.BuiltInProfile

All Implemented Interfaces:
  `Comparable<ProfileManager.Profile>`

Enclosing class:
  ProfileManager

public static final class ProfileManager.BuiltInProfile extends ProfileManager.Profile
Represents a built-in profile. The state of a built-in profile cannot be changed after instantiation.

## Constructor Summary

Constructors
Constructor
Description
`BuiltInProfile(String ID, String name, Map<String,String> settings, int order)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(ProfileManager.Profile o)`
`String`
`getID()`
`String`
`getName()`
`Map<String,String>`
`getSettings()`
`boolean`
`isBuiltInProfile()`
`boolean`
`isProfileToSave()`
`ProfileManager.Profile`
`rename(String name, ProfileManager manager)`
`void`
`setSettings(Map<String,String> settings)`

### Methods inherited from class org.eclipse.m2m.atl.adt.ui.preferences.ProfileManager.Profile

`hasEqualSettings, isSharedProfile`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BuiltInProfile

public BuiltInProfile(String ID, String name, Map<String,String> settings, int order)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in class `ProfileManager.Profile`

### rename

public ProfileManager.Profile rename(String name, ProfileManager manager)

Specified by:
  `rename` in class `ProfileManager.Profile`

### getSettings

public Map<String,String> getSettings()

Specified by:
  `getSettings` in class `ProfileManager.Profile`

### getID

public String getID()

Specified by:
  `getID` in class `ProfileManager.Profile`

### isProfileToSave

public boolean isProfileToSave()

Specified by:
  `isProfileToSave` in class `ProfileManager.Profile`

### isBuiltInProfile

public boolean isBuiltInProfile()

Overrides:
  `isBuiltInProfile` in class `ProfileManager.Profile`

### compareTo

public int compareTo(ProfileManager.Profile o)

### setSettings

public void setSettings(Map<String,String> settings)

Specified by:
  `setSettings` in class `ProfileManager.Profile`